> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put Writes



## OpenAPI

````yaml https://agentex.dev-sgp.scale.com/openapi.json post /checkpoints/put-writes
openapi: 3.1.0
info:
  title: Agentex API
  version: 0.1.0
servers: []
security: []
paths:
  /checkpoints/put-writes:
    post:
      tags:
        - Checkpoints
      summary: Put Writes
      operationId: put_writes_checkpoints_put_writes_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PutWritesRequest'
        required: true
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PutWritesRequest:
      properties:
        thread_id:
          type: string
          title: Thread ID
        checkpoint_ns:
          type: string
          title: Checkpoint namespace
          default: ''
        checkpoint_id:
          type: string
          title: Checkpoint ID
        writes:
          items:
            $ref: '#/components/schemas/WriteData'
          type: array
          title: Write data
        upsert:
          type: boolean
          title: Upsert mode
          default: false
      type: object
      required:
        - thread_id
        - checkpoint_id
        - writes
      title: PutWritesRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WriteData:
      properties:
        task_id:
          type: string
          title: Task ID
        idx:
          type: integer
          title: Write index
        channel:
          type: string
          title: Channel name
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Serialization type tag
        blob:
          type: string
          title: Base64-encoded binary data
        task_path:
          type: string
          title: Task path
          default: ''
      type: object
      required:
        - task_id
        - idx
        - channel
        - blob
      title: WriteData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````